Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.core.internal.provisional.jsflibraryregistry
Class PluginProvidedJSFLibraryCreationHelper

    java.lang.Object
      org.eclipse.jst.jsf.core.internal.provisional.jsflibraryregistry.PluginProvidedJSFLibraryCreationHelper

public final class PluginProvidedJSFLibraryCreationHelper
extends java.lang.Object

Helper class used to create JSF Libraries from the `org.eclipse.jst.jsf.core.jsflibraries` extension-point.
NOTE: experimental and very likely to change.

Field Summary
`static java.lang.String` | `DELEGATE` Key of the 'archiveFilesDelegate' attribute of the extension point.
`static java.lang.String` | `IS_IMPL` Key of the 'isImplementation' attribute of the extension point.
`static java.lang.String` | `NAME` Key of the 'name' attribute of the extension point.
`static java.lang.String` | `VERSION` Key of the 'maxVersionSupported' attribute of the extension point.

Constructor Summary
`PluginProvidedJSFLibraryCreationHelper(org.eclipse.core.runtime.IConfigurationElement jsfLibrary)` Creates an instance with the specified IConfigurationElement instance.

Method Summary
`org.eclipse.jst.jsf.core.internal.jsflibraryregistry.JSFLibrary` | `create()` Creates a new PluginProvidedJSFLibrary from the JSFLibrary extension point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

  Key of the 'name' attribute of the extension point.

  See Also:
    Constant Field Values

### IS_IMPL

    public static final java.lang.String IS_IMPL

  Key of the 'isImplementation' attribute of the extension point.

  See Also:
    Constant Field Values

### VERSION

    public static final java.lang.String VERSION

  Key of the 'maxVersionSupported' attribute of the extension point.

  See Also:
    Constant Field Values

### DELEGATE

    public static final java.lang.String DELEGATE

  Key of the 'archiveFilesDelegate' attribute of the extension point.

  See Also:
    Constant Field Values

Constructor Detail

### PluginProvidedJSFLibraryCreationHelper

    public PluginProvidedJSFLibraryCreationHelper(org.eclipse.core.runtime.IConfigurationElement jsfLibrary)

  Creates an instance with the specified IConfigurationElement instance.

Parameters:
  `jsfLibrary` - IConfigurationElement instance

Method Detail

### create

    public org.eclipse.jst.jsf.core.internal.jsflibraryregistry.JSFLibrary create()

  Creates a new PluginProvidedJSFLibrary from the JSFLibrary extension point.

  Returns:
    PluginProvidedJSFLibrary instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD